var repair = 15; var damageGet = Math.round(Math.random()*1);; var itemID = 2090; var maxDamage = 1560;
var power = 7+Math.sqrt(harvesting_lvl*1.5+gardening_lvl); var breakSpeech = "Wasting diamons so fast. That's inhuman";
var tool = [12, 92, 18, 12, 6, 20, 7]; mainSkill = harvesting_lvl;

if (timing > 3) {timing = 0; itemUsed = true; if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}}